E-MailRelay

Functions
G::Range Namespace Reference

Utility functions for pair-of-integer ranges. More...

## Functions
std::pair< int, int > | range (std::string_view spec_part)
std::pair< int, int > | range (int a, int b)
std::pair< int, int > | from (int n)
std::pair< int, int > | none ()
std::pair< int, int > | all ()
std::string | str (std::pair< int, int > range, int big=9999)
bool | within (std::pair< int, int > range, int n)
void | check (std::string_view spec)

## Detailed Description

Utility functions for pair-of-integer ranges.

## Function Documentation

## ◆ all()

std::pair< int, int > G::Range::all | ( |  | ) |
| inline

Definition at line 55 of file grange.h.

## ◆ check()

void G::Range::check | ( | std::string_view | spec | ) |
| inline

Definition at line 64 of file grange.h.

## ◆ from()

std::pair< int, int > G::Range::from | ( | int | n | ) |
| inline

Definition at line 53 of file grange.h.

## ◆ none()

std::pair< int, int > G::Range::none | ( |  | ) |
| inline

Definition at line 54 of file grange.h.

## ◆ range() [1/2]

std::pair< int, int > G::Range::range | ( | int | a,
|  | int | b
| ) |  |
| inline

Definition at line 52 of file grange.h.

## ◆ range() [2/2]

std::pair< int, int > G::Range::range | ( | std::string_view | spec_part | ) |
| inline

Definition at line 33 of file grange.h.

## ◆ str()

std::string G::Range::str | ( | std::pair< int, int > | range,
|  | int | big = `9999`
| ) |  |
| inline

Definition at line 56 of file grange.h.

## ◆ within()

bool G::Range::within | ( | std::pair< int, int > | range,
|  | int | n
| ) |  |
| inline

Definition at line 60 of file grange.h.